Subject: Re: [CDNi] Stephen Farrell's No Objection on draft-ietf-cdni-control-triggers-11: (with COMMENT)

From: "Murray, Rob (Nokia - GB)" <[email-masked]>
Date: Fri, 18 Mar 2016 16:11:32 +0000

Hi Stephen and all,

I've just posted a "-12" of the CDNI Triggers draft, hopefully addressing these issues. Responses inline below.

Cheers,
Rob.

URL:            https://www.ietf.org/internet-drafts/draft-ietf-cdni-control-triggers-12.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-cdni-control-triggers/
Htmlized:       https://tools.ietf.org/html/draft-ietf-cdni-control-triggers-12
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-cdni-control-triggers-12

On 07/01/2016, 13:54, "Stephen Farrell" <[email-masked]> wrote:

>Stephen Farrell has entered the following ballot position for
>draft-ietf-cdni-control-triggers-11: No Objection
>
>When responding, please keep the subject line intact and reply to all
>email addresses included in the To and CC lines. (Feel free to cut this
>introductory paragraph, however.)
>
>
>Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
>for more information about IESG DISCUSS and COMMENT positions.
>
>
>The document, along with other ballot positions, can be found here:
>https://datatracker.ietf.org/doc/draft-ietf-cdni-control-triggers/
>
>
>
>----------------------------------------------------------------------
>COMMENT:
>----------------------------------------------------------------------
>
>
>- I agree with the discuss points about use of TLS.

I've expanded on when TLS is a MUST, in line with the cdni metadata and logging drafts.

>- I think it'd be better if you clarified that by
>"mutually authenticated" you mean TLS client auth and
>TLS server auth and not e.g. HTTP BASIC plus TLS server
>auth.

Added that it's TLS auth to the first bullet in section 8.1.

>- I think a statement to the effect that the mechanisms
>for access control are dCDN-specific (for now at least)
>might be a good addition. I'm guessing that someone
>might want to use some form of OAuth later on (or is
>doing so now) so part(s) of that might be a thing to
>standardise later.

Added a note in section 8.1.